<template lang="pug">
Transition
	.modal.is-active( v-if='modelValue' :class='{ "is-large": large }' )
		.modal-background( @click='close' )
		.modal-content.card
			.card-content
				slot
		button.modal-close.is-large( aria-label="close" @click='close' )
</template>

<script setup>
const props = defineProps({
	modelValue: Boolean,
	large: Boolean
})

const emit = defineEmits([ "update:modelValue" ])

const close = () => emit("update:modelValue", false)
</script>

<style lang="scss" scoped>
.modal {
	&-background {
		cursor: pointer;
		transition: all .2s ease-in-out;
		&:hover {
			opacity: .95;
		}
	}

	&.is-large {
		.modal-content {
			width: calc(100% - 10rem);
		}
	}
}
</style>